<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('sellers', function (Blueprint $table) {
            $table->string('slug')->unique()->nullable()->after('company_name'); // Nullable for existing records, will need to populate
            $table->string('logo')->nullable()->after('iec_doc');
            $table->string('banner')->nullable()->after('logo');
            $table->text('about')->nullable()->after('banner');
            $table->json('social_links')->nullable()->after('about');
        });
    }

    public function down(): void
    {
        Schema::table('sellers', function (Blueprint $table) {
            $table->dropColumn(['slug', 'logo', 'banner', 'about', 'social_links']);
        });
    }
};
